Bug 1323264 - gpaw: Provide a Python 3 subpackage
Summary: gpaw: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpaw
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: marcindulak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-01 16:20 UTC by Tomas Orsava
Modified: 2016-07-24 20:21 UTC (History)
2 users (show)

Fixed In Version: gpaw-1.1.0-23.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-24 20:21:45 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2016-04-01 16:20:50 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-04-22 16:31:52 UTC
Hello Marcin,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 marcindulak 2016-06-18 18:27:32 UTC
gpaw-1.0.0 built with Python 3 support on Rawhide
http://koji.fedoraproject.org/koji/buildinfo?buildID=773889

Other archs need to wait until python-ase-3.11.0 becomes stable
https://bodhi.fedoraproject.org/updates/?packages=python-ase

Comment 3 Fedora Update System 2016-07-09 12:10:10 UTC
gpaw-1.1.0-23.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-35887262db

Comment 4 Fedora Update System 2016-07-10 15:57:33 UTC
gpaw-1.1.0-23.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-35887262db

Comment 5 Fedora Update System 2016-07-24 20:21:43 UTC
gpaw-1.1.0-23.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.